/*******************************************************************************
Chapter 16 - Bratko book

Figure 16.5  A specification of the belief network of the sensor network in
Fig. 16.1 as expected by the Bayesian network interpreter of Fig. 16.4.

Belief network is represented by relations:
    parent( ParentNode, Node)
    p( Node, ParentStates, Prob)
        where Prob is conditional probability of Node given
        values of parent variables ParentStates, for example:
        p( alarm, [ burglary, not lighting], 0.99)
    p( Node, Prob) probability of node without parents

Query: prob(alarm, [], P)
       prob(alarm, [burglary], P)
       prob(burglary, [alarm], P)
       prob(burglary, [alarm, call], P)
       prob([lightning, ~burglary], [alarm], P).
*******************************************************************************/

:- ['f16_4_BayesianNet.pl'].

parent(burglary, sensor).    % Burglary tends to trigger sensor
parent(lightning, sensor).   % Strong lightning may trigger sensor
parent(sensor, alarm).
parent(sensor, call).

p(burglary, 0.001).
p(lightning, 0.02).
p(sensor, [burglary, lightning], 0.9).
p(sensor, [burglary, ~lightning], 0.9).
p(sensor, [~burglary, lightning], 0.1).
p(sensor, [~burglary, ~lightning], 0.001).
p(alarm, [sensor], 0.95).
p(alarm, [~sensor], 0.001).
p(call, [sensor], 0.9).
p(call, [~sensor], 0.0).
