/*******************************************************************************
Norman late for work

Norman takes the train to work.  If the train is delayed then Norman may be late.

Risk Assessment & Decision Analysis with Bayesian Networks,
Norman Fenton & Martin Neil.
p132
********************************************************************************
Belief network is represented by relations:
    parent( ParentNode, Node)
    p( Node, ParentStates, Prob)
        where Prob is conditional probability of Node given
        values of parent variables ParentStates, for example:
        p( alarm, [ burglary, not earthquake], 0.99)
    p( Node, Prob) probability of node without parents

Query: prob(trainDelayed, [normanLate], P)
*******************************************************************************/

:- ['f16_4_BayesianNet.pl'].

parent(trainDelayed, normanLate).

p(trainDelayed, 0.1).                   % Prob train will be delayed
p(normanLate, [trainDelayed], 0.8).     % Prob Norman late if train delayed
p(normanLate, [~trainDelayed], 0.1).    % Prob Norman late if train not delayed
