/*******************************************************************************
Terrorist attack.

Example from "The Signal and the Noise", Nate Silver, Penguin Press, 2012,
pp247..248

Query: percentProb(terrorist, [hit_skyscraper],P).

Prior probability: x = 0.005%   P(Hypothesis)
    that terrorists would crash into a Manhattan skyscraper.

New event 1: Plane hit a Manhattan skyscraper
    y = 100%   P(Evidence | Hypothesis)
    probability hitting skyscraper if terrorists attacking Manhattan skyscrapers.

    z = 0.008% P(Evidence | ~Hypothesis)
    probability hitting skyscraper if terrorists not attacking; i.e. an accident.

Posterior probability, becomes the prior probability for the next event.
    = xy / (xy + z(1-x) = 38%
    = P(H)P(E|H) / P(E|H)P(H) + P(E|~H)(1 - P(H))
    = P(H)P(E|H) / P(E)

New event 2: Second plane hits a Mahattan skyscraper

New prior probability:  x = 38%
Posterior probability: = xy / (xy + z(1-x)) = 99.99%

x is the prior probability of event.
y is the probability of event when caused by the Cause
z is the probability of event when not caused by the Cause.

*******************************************************************************/

:- [f16_4_BayesianNet].

parent(terrorist, hit_skyscraper).

p(terrorist, 0.00005).                     % Prior probability = x

p(hit_skyscraper, [ terrorist], 1.0).      % Event due to terrorist = y
p(hit_skyscraper, [~terrorist], 0.00008).  % Event not due to terrorist = z
